com.taggercat.handlers
Class NoActionNameRequestHandler

java.lang.Object
  extended by com.taggercat.handlers.AbstractRequestHandler
      extended by com.taggercat.handlers.NoActionNameRequestHandler
All Implemented Interfaces:
com.taggercat.el.ELPropertyResolver, RequestHandler

public class NoActionNameRequestHandler
extends AbstractRequestHandler

This request handler handles requests that do not have a tcActionName request parameter, nor have they mapped in any other request handler. The default functionality here is to raise the missing action name as an error condition. You might want to change this to simply forward the request to its original URL. This request handler is registered under the key of Constants.STANDARD_ACTION_NO_ACTION_NAME. Register your own action handler with this key to replace this default functionality.

 

Constructor Summary
NoActionNameRequestHandler()
           
 
Method Summary
 
Methods inherited from class com.taggercat.handlers.AbstractRequestHandler
disableClientCache, getDataSourceName, getErrorException, getErrorPage, getErrorPageMethod, getErrorReason, getExplicitDataSourceName, getExplicitDSN, getMatchedPattern, getModel, getRequestController, getResponsePage, getResponsePageMethod, getSessionExpiredPage, getUserName4Log, init, isAjaxRequest, onChainCompleted, resolveProperty, serverTemporaryFile, serveTemporaryFile, service, setActionName, setErrorPage, setErrorPageMethod, setErrorPageMethodToRedirect, setExplicitDataSourceName, setExplicitDSN, setMatchedPattern, setResponsePage, setResponsePageMethod, setResponsePageMethodToRedirect, setSessionExpiredPage
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

NoActionNameRequestHandler

public NoActionNameRequestHandler()